Bug 60989 - "Ext3 warning: deleting non-existent file" error during newburn
"Ext3 warning: deleting non-existent file" error during newburn
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-11 11:21 EST by Clay Cooper
Modified: 2007-04-18 12:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 12:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg file from newburn log directory (870 bytes, text/plain)
2002-03-11 11:22 EST, Clay Cooper
no flags Details
Syslog file from newburn log directory (348 bytes, text/plain)
2002-03-11 11:23 EST, Clay Cooper
no flags Details

  None (edit)
Description Clay Cooper 2002-03-11 11:21:53 EST
Description of Problem:  On a beetle running hampton beta2 (2.4.18-0.1) w/ bios
A04, 2GB ram, and 2GB swap.  While running newburn, Dmesg and Syslog files in
newburn log directory report multiple errors stating:

"EXT3-fs warning (device sd(8,3)): ext3_unlink: Deleting nonexistent file
(2703621), 0"

Attaching DMESG and SYSLOG files from newburn log directory


Version-Release number of selected component (if applicable):


How Reproducible:  Everytime


Steps to Reproduce:
1. Install hampton beta2 on a beetle
2. Run newburn
3. Note dmesg and syslog errors.  Check newburn logs

Actual Results:


Expected Results:


Additional Information:
Comment 1 Clay Cooper 2002-03-11 11:22:27 EST
Created attachment 48144 [details]
Dmesg file from newburn log directory
Comment 2 Clay Cooper 2002-03-11 11:23:23 EST
Created attachment 48145 [details]
Syslog file from newburn log directory
Comment 3 Stephen Tweedie 2002-03-26 17:36:23 EST
Is this reproducible?  Are there any other kernel messages in the logs?
Comment 4 Stephen Tweedie 2002-03-27 12:07:09 EST
Are there any other signs of problems?  This particular error means that we are
deleting an inode but its "nlinks" --- the number of directory entries pointing
to it --- is already zero.  You have a bunch of those in sequence:

EXT3-fs warning (device sd(8,3)): ext3_unlink: Deleting nonexistent file
(2703617), 0
EXT3-fs warning (device sd(8,3)): ext3_unlink: Deleting nonexistent file
(2703621), 0
EXT3-fs warning (device sd(8,3)): ext3_unlink: Deleting nonexistent file
(2703622), 0
EXT3-fs warning (device sd(8,3)): ext3_unlink: Deleting nonexistent file
(2703623), 0

and that could indicate many possible things, including on-disk corruption of a
single inode block affecting multiple files (ie. it could be a driver or disk
fault as easily as a filesystem one, or a higher-layer VFS locking problem.)
Comment 5 Clay Cooper 2002-03-27 12:40:05 EST
Tried to reproduce this in hampton beta3 by running newburn and did not see it
before newburn oopsed at 22 hours.  Once newburn runs without oopsing at all I
will try to reproduce this again.
Comment 6 Stephen Tweedie 2002-03-27 13:08:05 EST
OK, let's leave this to once side for now, until we know why we're oopsing.

Note You need to log in before you can comment on or make changes to this bug.